/* ------------------------------------------------------------------------ */
/*                                                                          */
/*  Copyright (C)                                                           */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful, but     */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-    */
/*  ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General        */
/*  Public License for more details.                                        */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License along */
/*  with this program; if not, write to the Free Software Foundation, Inc., */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                   */
/*                                                                          */
/* ------------------------------------------------------------------------ */
/*  $Author: vogje02 $ $Revision: 1.2 $ $Date: 2002/07/09 10:55:30 $      */
/* ------------------------------------------------------------------------ */

#include "discoverpage.h"

extern COptions* options;

/////////////////////////////////////////////////////////////////////////////
// discoverpage dialog


CDiscoverPage::CDiscoverPage(CWnd* pParent /*=NULL*/)
	: CPropertyPage(CDiscoverPage::IDD)
{
	//{{AFX_DATA_INIT(CDiscoverPage)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	init = false;
}


void CDiscoverPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CDiscoverPage)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
	
	if( !init ) {
		init = true;
		SetOptions();
	}
}


BEGIN_MESSAGE_MAP(CDiscoverPage, CPropertyPage)
	//{{AFX_MSG_MAP(CDiscoverPage)
	ON_BN_CLICKED(IDC_RADIO6, OnRadio6)
	ON_BN_CLICKED(IDC_RADIO7, OnRadio7)
	ON_BN_CLICKED(IDC_RADIO8, OnRadio8)
	ON_BN_CLICKED(IDC_RADIO9, OnRadio9)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/**
 * Update the widgets according to new options settings.
 */
void CDiscoverPage::SetOptions()
{
	if( init )
		CheckRadioButton( IDC_RADIO6, IDC_RADIO9, IDC_RADIO6 + options->discMode );	
}

/**
 * Set status bar for error/info messages
 */
void CDiscoverPage::SetStatusBar( CEdit* status )
{
	m_statusbar = status;
}

/**
 * Puts the new values into the options struct.
 */
void CDiscoverPage::BuildCommand()
{
	char *val = (LPTSTR)malloc( 60 );

	switch( GetCheckedRadioButton( IDC_RADIO6, IDC_RADIO9 ) )
	{
		case IDC_RADIO6: 
			options->discMode = DISC_TCP;
			break;
		case IDC_RADIO7: 
			options->discMode = DISC_TCP_ICMP;
			break;
		case IDC_RADIO8: 
			options->discMode = DISC_ICMP;
			break;
		case IDC_RADIO9: 
			options->discMode = DISC_NONE;
			break;
	}

	char cmd[1024];
	options->GetCommand( cmd );
	m_statusbar->SetWindowText( cmd );
}

/**
 * TCP radio button
 */
void CDiscoverPage::OnRadio6() 
{
	BuildCommand();
}

/**
 * ICMP+TCP radio button
 */
void CDiscoverPage::OnRadio7() 
{
	BuildCommand();
}

/**
 * ICMP radio button
 */
void CDiscoverPage::OnRadio8() 
{
	BuildCommand();
}

/**
 * Don't ping radio button
 */
void CDiscoverPage::OnRadio9() 
{
	BuildCommand();
}

/**
 * Called when the folder page becomes visible. This is
 * putting the page into the right place.
 */
void CDiscoverPage::SetVisible( CTabCtrl* parent )
{
	if( !IsWindow( m_hWnd ) ) {
		Create( IDD_DIALOG_DISCOVER, parent );
	
		CRect rectParent;
		parent->GetWindowRect( rectParent );

		SetWindowPos( parent, 5, 25, rectParent.Width() - 10, rectParent.Height()-27, 
					  SWP_NOZORDER | SWP_NOACTIVATE );
	}

	ShowWindow( SW_SHOW );
}