/* ------------------------------------------------------------------------ */
/*                                                                          */
/*  Copyright (C)                                                           */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful, but     */
/*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-    */
/*  ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General        */
/*  Public License for more details.                                        */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License along */
/*  with this program; if not, write to the Free Software Foundation, Inc., */
/*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA                   */
/*                                                                          */
/* ------------------------------------------------------------------------ */
/*  $Author: vogje02 $ $Revision: 1.1 $ $Date: 2002/05/19 23:51:36 $      */
/* ------------------------------------------------------------------------ */

#if !defined(AFX_STATUSBAR_H__0E14D939_9FE4_431C_BA6F_C4B74FECEDD9__INCLUDED_)
#define AFX_STATUSBAR_H__0E14D939_9FE4_431C_BA6F_C4B74FECEDD9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Dispatch interfaces referenced by this interface
class CPanels;
class CPicture;
class COleFont;

/////////////////////////////////////////////////////////////////////////////
// CStatusBar1 wrapper class

class CStatusBar1 : public CWnd
{
protected:
	DECLARE_DYNCREATE(CStatusBar1)
public:
	CLSID const& GetClsid()
	{
		static CLSID const clsid
			= { 0x6b7e638f, 0x850a, 0x101b, { 0xaf, 0xc0, 0x42, 0x10, 0x10, 0x2a, 0x8d, 0xa7 } };
		return clsid;
	}
	virtual BOOL Create(LPCTSTR lpszClassName,
		LPCTSTR lpszWindowName, DWORD dwStyle,
		const RECT& rect,
		CWnd* pParentWnd, UINT nID,
		CCreateContext* pContext = NULL)
	{ return CreateControl(GetClsid(), lpszWindowName, dwStyle, rect, pParentWnd, nID); }

    BOOL Create(LPCTSTR lpszWindowName, DWORD dwStyle,
		const RECT& rect, CWnd* pParentWnd, UINT nID,
		CFile* pPersist = NULL, BOOL bStorage = FALSE,
		BSTR bstrLicKey = NULL)
	{ return CreateControl(GetClsid(), lpszWindowName, dwStyle, rect, pParentWnd, nID,
		pPersist, bStorage, bstrLicKey); }

// Attributes
public:

// Operations
public:
	CString GetSimpleText();
	void SetSimpleText(LPCTSTR lpszNewValue);
	long GetStyle();
	void SetStyle(long nNewValue);
	CPanels GetPanels();
	void SetRefPanels(LPDISPATCH newValue);
	long GetMousePointer();
	void SetMousePointer(long nNewValue);
	CPicture GetMouseIcon();
	void SetMouseIcon(LPDISPATCH newValue);
	void SetRefMouseIcon(LPDISPATCH newValue);
	BOOL GetShowTips();
	void SetShowTips(BOOL bNewValue);
	long GetOLEDropMode();
	void SetOLEDropMode(long nNewValue);
	BOOL GetEnabled();
	void SetEnabled(BOOL bNewValue);
	COleFont GetFont();
	void SetRefFont(LPDISPATCH newValue);
	long GetHWnd();
	void SetHWnd(long nNewValue);
	void Refresh();
	void OLEDrag();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STATUSBAR_H__0E14D939_9FE4_431C_BA6F_C4B74FECEDD9__INCLUDED_)
